import { ResultAsync } from "@hypernetlabs/hypernet-core";
import { IConnectorAuthorizationFlowParams, IHypernetWebIntegration, IRenderParams, IRenderPaymentWidgetParams } from "../../src/interfaces/app/IHypernetWebIntegration";
import HypernetIFrameProxy from "../../src/implementations/proxy/HypernetIFrameProxy";
export default class HypernetWebIntegration implements IHypernetWebIntegration {
    private static instance;
    protected iframeURL: string;
    core: HypernetIFrameProxy;
    constructor(iframeURL?: string);
    protected getReadyResult: ResultAsync<HypernetIFrameProxy, Error> | undefined;
    getReady(): ResultAsync<HypernetIFrameProxy, Error>;
    static getInstance(): IHypernetWebIntegration;
    private _generateDomElement;
    private _removeExistedElement;
    private _bootstrapComponent;
    private _prepareIFrameContainer;
    renderBalancesWidget(config?: IRenderParams): Promise<void>;
    renderFundWidget(config?: IRenderParams): Promise<void>;
    renderLinksWidget(config?: IRenderParams): Promise<void>;
    renderPaymentWidget(config?: IRenderPaymentWidgetParams): Promise<void>;
    renderConnectorAuthorizationFlow(config: IConnectorAuthorizationFlowParams): Promise<void>;
}
//# sourceMappingURL=HypernetWebIntegration.d.ts.map